Loading...
Searching...
No Matches
casacore::TabVecLogic_global_functions_scalarComparison Struct Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

Comparison between a table vector and a scalar. More...

`#include <TabVecLogic.h>`

## Public Member Functions

template<class T>
Bool | allLE (const TableVector< T > &left, const T &right)
template<class T>
Bool | allLE (const T &left, const TableVector< T > &right)
template<class T>
Bool | allLT (const TableVector< T > &left, const T &right)
template<class T>
Bool | allLT (const T &left, const TableVector< T > &right)
template<class T>
Bool | allGE (const TableVector< T > &left, const T &right)
template<class T>
Bool | allGE (const T &left, const TableVector< T > &right)
template<class T>
Bool | allGT (const TableVector< T > &left, const T &right)
template<class T>
Bool | allGT (const T &left, const TableVector< T > &right)
template<class T>
Bool | allEQ (const TableVector< T > &left, const T &right)
template<class T>
Bool | allEQ (const T &left, const TableVector< T > &right)
template<class T>
Bool | allNE (const TableVector< T > &left, const T &right)
template<class T>
Bool | allNE (const T &left, const TableVector< T > &right)

## Detailed Description

Comparison between a table vector and a scalar.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

Element by element comparisons between a table vector and a scalar, which behaves as if it were a conformant table vector filled with the scalar value. At some point operators will be available that return masks where the comparison is true.

Definition at line 90 of file TabVecLogic.h.

## Member Function Documentation

## allEQ() [1/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allEQ | ( | const T & | left,
|  | const TableVector< T > & | right )

inline

## allEQ() [2/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allEQ | ( | const TableVector< T > & | left,
|  | const T & | right )

inline

## allGE() [1/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allGE | ( | const T & | left,
|  | const TableVector< T > & | right )

inline

## allGE() [2/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allGE | ( | const TableVector< T > & | left,
|  | const T & | right )

inline

## allGT() [1/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allGT | ( | const T & | left,
|  | const TableVector< T > & | right )

inline

## allGT() [2/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allGT | ( | const TableVector< T > & | left,
|  | const T & | right )

inline

## allLE() [1/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allLE | ( | const T & | left,
|  | const TableVector< T > & | right )

inline

## allLE() [2/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allLE | ( | const TableVector< T > & | left,
|  | const T & | right )

inline

## allLT() [1/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allLT | ( | const T & | left,
|  | const TableVector< T > & | right )

inline

## allLT() [2/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allLT | ( | const TableVector< T > & | left,
|  | const T & | right )

inline

## allNE() [1/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allNE | ( | const T & | left,
|  | const TableVector< T > & | right )

inline

## allNE() [2/2]

template<class T>

Bool casacore::TabVecLogic_global_functions_scalarComparison::allNE | ( | const TableVector< T > & | left,
|  | const T & | right )

inline

The documentation for this struct was generated from the following file:

- tables/Tables/TabVecLogic.h